#! /bin/sh
#
# Sets the GPIOs for the power_supply check script.


script_dir=$(dirname $0)
source "$script_dir/error_codes.sh"

case $SOM_MODEL in
CAM5CS-*-*-*|5CS?-*-*-*-*|80-000653*)
	gpio1=450
	gpio2=480
	#gpio1=194
	#gpio2=224
	;;
A10S-??-???-R[IC]-D?)
	gpio1=447
	gpio2=480
	;;
*)
	echo_pc "$partnum"
	fail_out "ERR60-1 Invalid SOM model; factory config might not be programmed"
	;;
esac

if [ ! -e /sys/class/gpio/gpio${gpio1}/ ]; then
	echo $gpio1 > /sys/class/gpio/export
fi

if [ ! -e /sys/class/gpio/gpio${gpio2}/ ]; then
	echo $gpio2 > /sys/class/gpio/export
fi

# Set input first to ensure we aren't pushing two drivers at once.
echo in > /sys/class/gpio/gpio${gpio2}/direction
echo out > /sys/class/gpio/gpio${gpio1}/direction

# Drive a one to be read by the ADC.
echo 1 > /sys/class/gpio/gpio${gpio1}/value
