#!/bin/sh

script_dir=$(dirname $0)
source "$script_dir/error_codes.sh"

#local
TYPE="USB host mode test:"
TESTFILE="randFileUSB10k"
TESTFILEMD5SUM="3fb9099fbeb3739fa4ec20dcbe1a4736"
USBTEST="FAILED"

# Mount the usb drive
mount /dev/sda1 /mnt

if [ ! -f /mnt/$TESTFILE ]; then
	echo "Can't find test file, was prep_fixture.sh run on the fixture?"
	USBTEST="FAILED - Couldn't find test file"
	partial_fail "ERR20-1 USB Test Couldn't find test file"
else
	USBMD5=`md5sum /mnt/$TESTFILE  | cut -d' ' -f1`

	if [ "$USBMD5" = "$TESTFILEMD5SUM" ]; then
		USBTEST="PASSED - MD5SUM matched"
	else
		USBTEST="FAILED - MD5SUM mismatch"
		partial_fail "ERR20-2 USB Test MD5SUM mismatch"
	fi
fi

umount /mnt

printf %-30s "$TYPE" | tee -a $RESULTS
echo "$USBTEST" | tee -a $RESULTS

